from django.urls import path
from api.retailers.retailer import (
    AadharSendOTPAPI,
    LatestRechargeAPI,
    MinimumWalletAPI,
    NotificationAPI,
    PANCardVerificationAPI,
    RecentTransactionAPI,
    RetailerAPI,
    RechargeAPI,
    RetailerKycStatus,
    RetailerReport,
    RetailerTotalEarning,
    StatsAPI,
    TransactionAPI,
    RetailerLoginAPI,
    UPIGatewayWebhook,
    UpdateRetailerPassword,
    UpdateRetailerProfile,
    VerifyAadharAPI,
    VerifyRetailerMobile,
    WalletAPI,
    WalletVerifyAPI,
    RetailerMpinVerificationAPI,
)

urlpatterns = [
    path("get-all-retailers/", RetailerAPI.as_view()),
    path("get-retailers/<int:id>/", RetailerAPI.as_view()),
    path("registration/", RetailerAPI.as_view()),
    path("update-mpin/<int:id>/", RetailerAPI.as_view()),
    path("verify-mpin/", RetailerMpinVerificationAPI.as_view()),
    path("login/", RetailerLoginAPI.as_view()),
    path("get-retailer-by-recharge/<int:retailer_id>/", RechargeAPI.as_view()),
    path("get-all-recharge/", RechargeAPI.as_view()),
    path("get-stats/", StatsAPI.as_view()),
    path("get-latest-recharge/", LatestRechargeAPI.as_view()),
    path("post-recharge/", RechargeAPI.as_view()),
    path("get-transaction/<int:retailer_id>/", TransactionAPI.as_view()),
    path("get-recent-transaction/<int:retailer_id>/", RecentTransactionAPI.as_view()),
    path("get-all-transaction/", TransactionAPI.as_view()),
    path("wallet-request/", TransactionAPI.as_view()),
    path("minimum-balance/", MinimumWalletAPI.as_view()),
    path("wallet/<int:retailer_id>/", WalletAPI.as_view()),
    path("wallet/verify-payment/<str:tnx_id>/", WalletVerifyAPI.as_view()),
    path("notification/<int:retailer_id>/", NotificationAPI.as_view()),
    path("verify/<str:mobile>/", VerifyRetailerMobile.as_view()),
    path("update-password/", UpdateRetailerPassword.as_view()),
    path("update-profile/", UpdateRetailerProfile.as_view()),
    path("report/<int:retailerID>/<int:year>/<str:month>/", RetailerReport.as_view()),
    path("report/<int:retailerID>/", RetailerTotalEarning.as_view()),
    path("update-payment-status/", UPIGatewayWebhook.as_view()),
    path("pan-card-verification/", PANCardVerificationAPI.as_view()),
    path("aadhar-otp-send/", AadharSendOTPAPI.as_view()),
    path("verify-aadhar/", VerifyAadharAPI.as_view()),
    path("kyc-status/<int:id>/", RetailerKycStatus.as_view()),
]
